Account Settings

Browsers supported by HubSpot

Last updated: October 28, 2019

A supported web browser is required for full functionality of HubSpot's features.

Please note: the supported browsers listed here apply to using HubSpot tools, not public-facing content. Browser support for content created in and hosted by HubSpot will vary depending on the HTML, CSS, and JavaScript used on your website.

Windows-supported browsers

  • Google Chrome (latest version)
  • Mozilla Firefox (latest version)
  • Microsoft Edge (latest version)
  • Internet Explorer 11*

Microsoft recommends using Microsoft Edge as your default browser, and supports Internet Explorer 11 for backward compatibility. Versions of Internet Explorer 10 and below are not supported by HubSpot, because they are not fully supported by Microsoft.

When you have Compatibility View turned on in Internet Explorer 11, HubSpot's unsupported browser warnings will display as IE 11 is acting as an older browser. To resolve this error, turn off Compatibility View.

Mac-supported browsers

  • Google Chrome (latest version)
  • Safari (latest version)
  • Mozilla Firefox (latest version)

Update your web browsers

It is best practice to keep your web browsers updated to the latest version to ensure that websites render properly. To update a supported browser, refer to their documentation: